Update a work item
curl --request PATCH \
--url https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description_html": "<string>",
"state": "<string>",
"priority": "<string>",
"assignees": [
"<string>"
],
"labels": [
"<string>"
],
"parent": "<string>",
"estimate_point": "<string>",
"type": "<string>",
"module": "<string>",
"start_date": "<string>",
"target_date": "<string>"
}
'import requests
url = "https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/"
payload = {
"name": "<string>",
"description_html": "<string>",
"state": "<string>",
"priority": "<string>",
"assignees": ["<string>"],
"labels": ["<string>"],
"parent": "<string>",
"estimate_point": "<string>",
"type": "<string>",
"module": "<string>",
"start_date": "<string>",
"target_date": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description_html: '<string>',
state: '<string>',
priority: '<string>',
assignees: ['<string>'],
labels: ['<string>'],
parent: '<string>',
estimate_point: '<string>',
type: '<string>',
module: '<string>',
start_date: '<string>',
target_date: '<string>'
})
};
fetch('https://api.plane.so/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Work Item
Update a work item
Updates an existing work item by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
PATCH
/
api
/
v1
/
workspaces
/
{workspace_slug}
/
projects
/
{project_id}
/
work-items
/
{work_item_id}
/
Update a work item
Path parameters
string
required
The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL
https://app.plane.so/my-team/projects/, the workspace slug is my-team.string
required
The unique identifier of the project.
string
required
The unique identifier for the work item.
Body parameters
string
Name of the work item.
string
HTML-formatted description of the work item.
string
ID of the state for the work item.
string
Priority level. Possible values:
none, urgent, high, medium, low.string[]
Array of user IDs to assign to the work item.
string[]
Array of label IDs to apply to the work item.
string
ID of the parent work item.
string
Estimate points for the work item (0-7).
string
ID of the work item type.
string
ID of the module the work item belongs to.
string
Start date in YYYY-MM-DD format.
string
Target completion date in YYYY-MM-DD format.
⌘I

